[ARVADOS-DEV] created: efe942b09b246c1d658ab7280e890d70f45a9f8f

git at public.curoverse.com git at public.curoverse.com
Thu Nov 5 20:54:00 EST 2015


        at  efe942b09b246c1d658ab7280e890d70f45a9f8f (commit)


commit efe942b09b246c1d658ab7280e890d70f45a9f8f
Author: Tom Clegg <tom at curoverse.com>
Date:   Thu Nov 5 20:54:04 2015 -0500

    Add libwww-perl and python mock dependencies, so tests can run on ubuntu 12.04

diff --git a/jenkins/run-tests.sh b/jenkins/run-tests.sh
index 8e845cb..41341bd 100755
--- a/jenkins/run-tests.sh
+++ b/jenkins/run-tests.sh
@@ -173,7 +173,7 @@ sanity_checks() {
     for mod in ExtUtils::MakeMaker JSON LWP Net::SSL; do
         echo -n "perl $mod: "
         perl -e "use $mod; print \"\$$mod::VERSION\\n\"" \
-            || fatal "No $mod. Try: apt-get install perl-modules libcrypt-ssleay-perl libjson-perl"
+            || fatal "No $mod. Try: apt-get install perl-modules libcrypt-ssleay-perl libjson-perl libwww-perl"
     done
     echo -n 'gitolite: '
     which gitolite \
@@ -391,7 +391,8 @@ setup_virtualenv() {
     if ! [[ -e "$venvdest/bin/activate" ]] || ! [[ -e "$venvdest/bin/pip" ]]; then
         virtualenv --setuptools "$@" "$venvdest" || fatal "virtualenv $venvdest failed"
     fi
-    "$venvdest/bin/pip" install 'setuptools>=18' 'pip>=7'
+    # mock can't be installed as a dependency in python2.7, it assumes pbr is imported
+    "$venvdest/bin/pip" install 'setuptools>=18' 'pip>=7' 'mock>=1.0'
 }
 
 export PERLINSTALLBASE

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list